import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState } from 'react';
import { Pagehead, Label, Text, Link, Box } from '@primer/react';
import PirateSkull2Icon from '@datalayer/icons-react/eggs/PirateSkull2Icon';
const AboutTab = (props) => {
    const { version } = props;
    const [pirate, setPirate] = useState(false);
    return (_jsxs(_Fragment, { children: [_jsxs(Pagehead, { children: ["\uD83E\uDE90 \u269B\uFE0F Jupyter React", _jsx(Label, { sx: { marginLeft: 1 }, children: version })] }), _jsx(Box, { children: _jsx(Text, { children: "React.js components \uD83D\uDCAF% compatible with Jupyter." }) }), _jsx(Box, { mt: 3, children: !pirate ?
                    _jsx("img", { src: "https://assets.datalayer.tech/releases/datalayer-0.2.0-omalley.png", onClick: e => setPirate(true) })
                    :
                        _jsx(PirateSkull2Icon, { size: 500, onClick: e => setPirate(false) }) }), _jsx(Box, { children: _jsx(Link, { href: "https://datalayer.tech/docs/releases/0.2.0-omalley", target: "_blank", children: _jsx(Text, { as: "h4", children: "O'Malley release" }) }) }), _jsx(Box, { children: _jsx(Link, { href: "https://github.com/datalayer/jupyter-ui/tree/main/packages/react", target: "_blank", children: _jsx(Text, { as: "h4", children: "Source code" }) }) })] }));
};
export default AboutTab;
//# sourceMappingURL=AboutTab.js.map