import { Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { useState, useEffect, useRef } from 'react';
export const Countdown = (props) => {
    const [count, setCount] = useState(props.count);
    let intervalRef = useRef();
    const decreaseNum = () => setCount((prev) => prev - 1);
    useEffect(() => {
        setCount(props.count);
    }, [props.count]);
    useEffect(() => {
        intervalRef.current = setInterval(decreaseNum, 1000);
        return () => clearInterval(intervalRef.current);
    }, []);
    return (_jsxs(_Fragment, { children: ["[", count, "]"] }));
};
//# sourceMappingURL=Countdown.js.map