import { jsx as _jsx } from "react/jsx-runtime";
import { createRoot } from 'react-dom/client';
import Jupyter from '../jupyter/Jupyter';
import Notebook from '../components/notebook/Notebook';
import NotebookToolbar from "./toolbars/NotebookToolbar";
import CellSidebar from "../components/notebook/cell/sidebar/CellSidebar";
import notebook from "./notebooks/IPyWidgetsExample1.ipynb.json";
const IPyWidgets = () => (_jsx(Jupyter, { children: _jsx(Notebook, { nbformat: notebook, uid: "notebook-uid", height: 'calc(100vh - 2.6rem)' // (Height - Toolbar Height).
        , cellSidebarMargin: 120, CellSidebar: CellSidebar, Toolbar: NotebookToolbar }) }));
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(IPyWidgets, {}));
//# sourceMappingURL=IPyWidgets.js.map