import { jsx as _jsx } from "react/jsx-runtime";
import { createRoot } from 'react-dom/client';
import Jupyter from '../jupyter/Jupyter';
import Notebook from '../components/notebook/Notebook';
import NotebookToolbar from "./toolbars/NotebookToolbar";
import CellSidebarSource from "./sidebars/CellSidebarSource";
import nbformat from "./notebooks/NotebookExample1.ipynb.json";
const NotebookCellSidebar = () => (_jsx(Jupyter, { children: _jsx(Notebook, { nbformat: nbformat, uid: "notebook-sidebar-uid", externalIPyWidgets: [
            { name: "@widgetti/jupyter-react", version: "0.3.0" },
            { name: "bqplot", version: "0.5.42" },
            { name: "jupyter-matplotlib", version: "0.11.3" },
        ], height: 'calc(100vh - 2.6rem)' // (Height - Toolbar Height).
        , cellSidebarMargin: 160, CellSidebar: CellSidebarSource, Toolbar: NotebookToolbar }) }));
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookCellSidebar, {}));
//# sourceMappingURL=NotebookCellSidebar.js.map